Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
POSTBackup Service OperationsSince 3.0.0SynchronousAuth Required

CreateVmBackup

CreateVmBackup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • rootVolumeUuidStringRequired

    The UUID of the root volume.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • backupStorageUuidStringRequired

      The UUID of the backup storage.

    • nameStringRequired

      The name of the VM backup.

    • descriptionString

      Optional. The detailed description of the backup.

    • resourceUuidString

      Optional.

    • volumeReadBandwidthLong

      Optional. The maximum speed at which data is read from the root volume.

    • volumeWriteBandwidthLong

      Optional. The maximum speed at which data is written to the root volume.

    • networkReadBandwidthLong

      Optional. The network bandwidth for data reads.

    • networkWriteBandwidthLong

      Optional. The network bandwidth for data writes.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The UUID of the VM backup.

    • volumeUuidStringRequired

      The UUID of the root volume.

    • nameStringRequired

      The name of the backup.

    • descriptionStringRequired

      The detailed description of the backup.

    • typeStringRequired

      The type of the root volume.

    • stateStringRequired

      The status of the backup.

    • statusStringRequired

      The availability status of the backup.

    • sizeLongRequired

      The size of the backup.

    • metadataStringRequired

      The metadata of the backup.

    • createDateTimestampRequired

      The time when the backup was created.

    • lastOpDateTimestampRequired

      The time when the backup was last modified.

    • backupStorageRefsListRequired

      See backupStorageRefs

      • volumeBackupUuidStringRequired

        The UUID of the VM backup.

      • backupStorageUuidStringRequired

        The UUID of the backup storage.

      • installPathStringRequired

        The storage path of the backup.

      • statusStringRequired

        The status of the backup in the backup storage.

      • createDateTimestampRequired

        The time when the backup was created.

      • lastOpDateTimestampRequired

        The time when the backup was last modified.

Endpoint

POST/zstack/v1/volumes/{rootVolumeUuid}/vm-backups

/zstack/v1/volumes/{rootVolumeUuid}/vm-backups

Operation ID

CreateVmBackup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/volumes/{rootVolumeUuid}/vm-backups' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"backupStorageUuid":"<backupStorageUuid>","name":"<name>","description":"<description>","resourceUuid":"<resourceUuid>","volumeReadBandwidth":1,"volumeWriteBandwidth":1,"networkReadBandwidth":1,"networkWriteBandwidth":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventories": [ { "uuid": "785edb93bb1b3a31857dac1e69cc8392", "volumeUuid": "2ae6b881bb1239cd907d48993e86a2e8", "name": "Root-Volume-Backup-1", "description": "volume backup", "size": 1.073741824E9, "groupUuid": "2f7c0a5bb86430e8a5ac48312172d70d", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" }, { "uuid": "3084eea905f4311b9d484bfe97142bdf", "volumeUuid": "f6c7d5276c873eba8accddd4a09a1ee6", "name": "Data-Volume-Backup-1", "description": "volume backup", "size": 2.147483648E9, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history